For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BankFeedAccount object
          • GET/bank-feed-accounts
          • POST/bank-feed-accounts
          • GET/bank-feed-accounts/{id}
          • GET/bank-feed-accounts/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBank Feed Accounts

/bank-feed-accounts

Beta
POST
/accounting/v1/bank-feed-accounts
POST
/api/accounting/v1/bank-feed-accounts
$curl -X POST https://api.merge.dev/api/accounting/v1/bank-feed-accounts \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
4 "remote_id": "987300",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "source_account_id": "123566909",
8 "target_account_id": "49cd5a42-b311-4750-9361-52e2ed1d4653",
9 "source_account_name": "Travel Bank Account",
10 "source_account_number": "12567",
11 "target_account_name": "Netsuite Travel Bank Account",
12 "currency": "USD",
13 "feed_status": "ACTIVE",
14 "feed_start_date": "2024-02-02T00:00:00.000Z",
15 "source_account_balance": 123.94,
16 "account_type": "BANK",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/platform-endpoint",
29 "data": null
30 }
31 ]
32 },
33 "warnings": [
34 {
35 "title": "Unrecognized Field",
36 "detail": "An unrecognized field, age, was passed in with request data.",
37 "problem_type": "UNRECOGNIZED_FIELD",
38 "source": {
39 "pointer": "/age"
40 },
41 "block_merge_link": true,
42 "raw_error": "string",
43 "error_code": 1
44 }
45 ],
46 "errors": [
47 {
48 "title": "Missing Required Field",
49 "detail": "custom_fields is a required field on model.",
50 "problem_type": "MISSING_REQUIRED_FIELD",
51 "source": {
52 "pointer": "/model/custom_fields"
53 },
54 "block_merge_link": true,
55 "raw_error": "string",
56 "error_code": 1
57 }
58 ],
59 "logs": [
60 {
61 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
62 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
63 "log_summary": {
64 "url": "www.exampleintegration.com/api/v1/exampleapi",
65 "method": "POST",
66 "status_code": 200
67 }
68 }
69 ]
70}

Creates a BankFeedAccount object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/bank-feed-accounts

Next

/bank-feed-accounts/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The BankFeedAccount object represents a bank feed account, detailing various attributes including account identifiers, names, currency, and balance information. This object is central to managing and tracking bank feed accounts within the system.

Usage Example

Fetch from the GET BankFeedAccount endpoint to view details of a bank feed account.

Response

modelobject

Description

The BankFeedAccount object represents a bank feed account, detailing various attributes including account identifiers, names, currency, and balance information. This object is central to managing and tracking bank feed accounts within the system.

Usage Example

Fetch from the GET BankFeedAccount endpoint to view details of a bank feed account.

warningslist of objects
errorslist of objects
logslist of objects